Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.mapper
Class MappingData

    java.lang.Object
      org.apache.tomcat.util.http.mapper.MappingData

    public class MappingData

extends Object

Mapping data.

Author:
  Remy Maucherat

Field Summary
`Object` | `context`
`MessageBytes` | `contextPath`
`Object[]` | `contexts`
`Object` | `host`
`boolean` | `jspWildCard`
`MessageBytes` | `pathInfo`
`MessageBytes` | `redirectPath`
`MessageBytes` | `requestPath`
`Object` | `wrapper`
`MessageBytes` | `wrapperPath`

Constructor Summary
`MappingData()`

Method Summary
`void` | `recycle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### host

    public Object host

### context

    public Object context

### contexts

    public Object[] contexts

### wrapper

    public Object wrapper

### jspWildCard

    public boolean jspWildCard

### contextPath

    public MessageBytes contextPath

### requestPath

    public MessageBytes requestPath

### wrapperPath

    public MessageBytes wrapperPath

### pathInfo

    public MessageBytes pathInfo

### redirectPath

    public MessageBytes redirectPath

Constructor Detail

### MappingData

    public MappingData()

Method Detail

### recycle

    public void recycle()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.